#! /bin/bash
#
# chkconfig: 345 95 30 
# description: byRequest is a server for Tivo HMO 
#
# Source function library.
. /etc/rc.d/init.d/functions

#-----------------------------------------------------------------------------
# These settings can be modified to fit the needs of your application

# Application
APP_NAME="byRequest"
APP_LONG_NAME="byRequest"

# Wrapper
WRAPPER_CMD="/usr/tivo/bin/byRequest"
WRAPPER_CONF="/usr/tivo/conf/byRequest.conf"

# Do not modify anything beyond this point
#-----------------------------------------------------------------------------

start() {
    echo -n "Starting $APP_LONG_NAME: "
    daemon $WRAPPER_CMD -preload $WRAPPER_CONF # wrapper.daemonize=TRUE wrapper.console.loglevel=NONE
    RETVAL=$?
    echo
    [ $RETVAL -eq 0 ] && touch /var/lock/subsys/byRequest
    return $RETVAL
}

stop() {
    # Stop daemons.
    echo -n $"Shutting down $APP_LONG_NAME: "
    killproc $WRAPPER_CMD
    RETVAL=$?
    echo
    [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/byRequest
    return $RETVAL
}

# See how we were called.
case "$1" in
  start)
        start
        ;;
  stop)
        stop
        ;;
  restart|reload)
        stop
        start
        RETVAL=$?
        ;;
  condrestart)
        if [ -f /var/lock/subsys/byRequest ]; then
            stop
            start
            RETVAL=$?
        fi
        ;;
  status)
        status byRequest
        RETVAL=$?
        ;;
  *)
        echo $"Usage: $0 {start|stop|restart|condrestart|status}"
        exit 1
esac

exit $RETVAL

